org.springframework.jmx.access

## Class InvalidInvocationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.management.JMRuntimeException
        - - org.springframework.jmx.access.InvalidInvocationException

All Implemented Interfaces:
  Serializable

    public class InvalidInvocationException
    extends JMRuntimeException

Thrown when trying to invoke an operation on a proxy that is not exposed by the proxied MBean resource's management interface.

Since:
  1.2
Author:
  Rob Harrop, Juergen Hoeller
See Also:
  `MBeanClientInterceptor`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidInvocationException(String msg)` Create a new `InvalidInvocationException` with the supplied error message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidInvocationException

    public InvalidInvocationException(String msg)

Create a new `InvalidInvocationException` with the supplied error message.

Parameters:
  `msg` - the detail message